#include <cstdio>
#include <iostream>

using namespace std;

#define problem "D"

int main() {
//	freopen(problem".in", "r", stdin);
//	freopen(problem".out", "w", stdout);
	
	int n, a, b; scanf("%d %d %d", &n, &a, &b);
	printf("%d\n", n - a + b);
	return 0;
}
